extends layout

block append end
	script(src='/scripts/settings.js')

block content
	aside.navigation
	section.content
		.container-fluid
			.page-header
				h1
					span.fa.fa-cog &nbsp;
					| Settings
			h2
				| Directories &nbsp;
				a.btn.btn-info(data-toggle="modal" data-target="#addDirectoryModal")
					span.fa.fa-plus &nbsp;
					| Add
			table.table.table-condensed
				thead
					tr
						th Directory
						th(width=50) Include
						th
				tbody.directories-container
					if directories.length > 0
						for directory in directories
							include directory/item
					else
						tr.no-directory
							td(colspan="3")
								h4.text-muted Nothing yet!
	#addDirectoryModal.modal.fade(tabindex='-1', role='dialog')
		.modal-dialog
			.modal-content
				form#addDirectoryForm(method="POST",action="/settings/directory")
					.modal-header
						button.close(type='button', data-dismiss='modal', aria-label='Close')
							span(aria-hidden='true') ×
						h4.modal-title Add Directory
					.modal-body
						.form-group
							label Enter Directory Path
							input.form-control(type="text",name="directory")
						.checkbox
							label
								input(type="checkbox",name="include",value="true")
								| Include Sub Directories
						.directory-error-message
					.modal-footer
						button.btn.btn-default(type='button', data-dismiss='modal') Close
						button.btn.btn-primary(type='submit') Add